// *** Hardwarespecific defines ***
//Set to 1 when using Due/Mega TFT&RTC Screwshield V2.0 from Aqualedsource with
//dedicated Due Pinout. To use the default Mega pinout with Due, leave it with 0 (zero)
#define AQUALED_SHIELD_DUE_DEDICATED 1

#define cbi(reg, bitmask) *reg &= ~bitmask
#define sbi(reg, bitmask) *reg |= bitmask
#define pulse_high(reg, bitmask) sbi(reg, bitmask); cbi(reg, bitmask);
#define pulse_low(reg, bitmask) cbi(reg, bitmask); sbi(reg, bitmask);

#define cport(port, data) port &= data
#define sport(port, data) port |= data

#define swap(type, i, j) {type t = i; i = j; j = t;}

#define fontbyte(x) cfont.font[x]  

#define pgm_read_word(data) *data
#define pgm_read_byte(data) *data
#define regtype volatile uint32_t
#define regsize uint32_t
#define bitmapdatatype unsigned short*
